> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Random Result Tables

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Updates the random drop table configuration for the title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| InvalidDropTable | 1201 |
| InvalidJSONContent | 1200 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/UpdateRandomResultTables
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/UpdateRandomResultTables:
    post:
      tags:
        - Title-Wide Data Management
      summary: Update Random Result Tables
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Updates the
        random drop table configuration for the title


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | InvalidDropTable | 1201 |

        | InvalidJSONContent | 1200 |

        | ProductDisabledForTitle | 1609 |
      operationId: UpdateRandomResultTables
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRandomResultTablesRequest'
        description: >-
          This operation is additive. Tables with TableId values not currently
          defined will be added, while those with TableId values matching Tables
          currently in the catalog will be overwritten with the given values.
      responses:
        '200':
          $ref: '#/components/responses/UpdateRandomResultTablesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    UpdateRandomResultTablesRequest:
      description: >-
        This operation is additive. Tables with TableId values not currently
        defined will be added, while those with TableId values matching Tables
        currently in the catalog will be overwritten with the given values.
      type: object
      properties:
        CatalogVersion:
          description: >-
            which catalog is being updated. If null, update the current default
            catalog version
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Tables:
          description: >-
            array of random result tables to make available (Note: specifying an
            existing TableId will result in overwriting that table, while any
            others will be added to the available set)
          type: array
          items:
            $ref: '#/components/schemas/RandomResultTable'
          x-isclass: true
      example:
        Tables:
          - TableId: DropTable 1
            Nodes:
              - ResultItem: Gold Crown 1
                Weight: 20
              - ResultItem: Magic Sword 3
                Weight: 50
              - ResultItem: Clear Shield 3
                Weight: 70
    RandomResultTable:
      type: object
      properties:
        Nodes:
          description: >-
            Child nodes that indicate what kind of drop table item this actually
            is.
          type: array
          items:
            $ref: '#/components/schemas/ResultTableNode'
          x-isclass: true
        TableId:
          description: Unique name for this drop table
          type: string
      required:
        - TableId
        - Nodes
    UpdateRandomResultTablesResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    ResultTableNode:
      type: object
      properties:
        ResultItem:
          description: Either an ItemId, or the TableId of another random result table
          type: string
        ResultItemType:
          allOf:
            - $ref: '#/components/schemas/ResultTableNodeType'
          description: >-
            Whether this entry in the table is an item or a link to another
            table
        Weight:
          description: How likely this is to be rolled - larger numbers add more weight
          type: number
          x-actualtype: int32
      required:
        - ResultItemType
        - ResultItem
        - Weight
      example:
        ResultItem: Gold Crown 1
        Weight: 20
    ResultTableNodeType:
      type: string
      enum:
        - ItemId
        - TableId
  responses:
    UpdateRandomResultTablesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/UpdateRandomResultTablesResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Update Random Result Tables](/services/playfab/api-references/rest/admin/title-wide-data-management/update-random-result-tables.md)
- [Profile Writes Meter API Description](/services/playfab/pricing/meters/profile-writes.md)
- [Get Random Result Tables](/services/playfab/api-references/rest/server/player-item-management/get-random-result-tables.md)
- [Evaluate Random Result Table](/api-reference/player-item-management/evaluate-random-result-table.md)
- [Drop Tables in Economy (Legacy)](/services/playfab/economy-monetization/economy/tutorials/drop-tables.md)
